cern.jet.random

## Class AbstractContinousDistribution

- java.lang.Object
- - cern.colt.PersistentObject
  - - cern.jet.random.AbstractDistribution
    - - cern.jet.random.AbstractContinousDistribution

- All Implemented Interfaces:
    DoubleFunction, IntFunction, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    Beta, BreitWigner, ChiSquare, Empirical, Exponential, ExponentialPower, Gamma, Hyperbolic, Logarithmic, Normal, StudentT, Uniform, VonMises

      public abstract class AbstractContinousDistribution
      extends AbstractDistribution

  Abstract base class for all continous distributions.
  Version:
    1.0, 09/24/99
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cern.colt.PersistentObject

      `serialVersionUID`

  - ### Method Summary

    - ### Methods inherited from class cern.jet.random.AbstractDistribution

      `apply, apply, clone, makeDefaultGenerator, nextDouble, nextInt`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Jump to the Colt Homepage